<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<%@ page contentType="text/html;charset=windows-1252"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://xmlns.oracle.com/adf/faces/webcache" prefix="afc"%>
<%@ taglib uri="http://xmlns.oracle.com/adf/faces" prefix="af"%>
<%@ taglib uri="http://xmlns.oracle.com/adf/faces/html" prefix="afh"%>
<f:view>
  <afh:html>
    <afh:head title="Edit Employee">
      <meta http-equiv="Content-Type"
            content="text/html; charset=windows-1252"/>
    </afh:head>
    <afh:body>
      <af:messages/>
      <h:form>
        <af:panelPage title="Edit Employee">
          <f:facet name="menu1"/>
          <f:facet name="menuGlobal"/>
          <f:facet name="branding"/>
          <f:facet name="brandingApp"/>
          <f:facet name="appCopyright"/>
          <f:facet name="appPrivacy"/>
          <f:facet name="appAbout"/>
          <af:panelForm>
            <af:inputText value="#{bindings.EmployeeId.inputValue}"
                          label="#{bindings.EmployeeId.label}"
                          required="#{bindings.EmployeeId.mandatory}"
                          columns="#{bindings.EmployeeId.displayWidth}">
              <af:validator binding="#{bindings.EmployeeId.validator}"/>
              <f:convertNumber groupingUsed="false"
                               pattern="#{bindings.EmployeeId.format}"/>
            </af:inputText>
            <af:inputText value="#{bindings.FirstName.inputValue}"
                          label="#{bindings.FirstName.label}"
                          required="#{bindings.FirstName.mandatory}"
                          columns="#{bindings.FirstName.displayWidth}">
              <af:validator binding="#{bindings.FirstName.validator}"/>
            </af:inputText>
            <af:inputText value="#{bindings.LastName.inputValue}"
                          label="#{bindings.LastName.label}"
                          required="#{bindings.LastName.mandatory}"
                          columns="#{bindings.LastName.displayWidth}">
              <af:validator binding="#{bindings.LastName.validator}"/>
            </af:inputText>
            <af:inputText value="#{bindings.Email.inputValue}"
                          label="#{bindings.Email.label}"
                          required="#{bindings.Email.mandatory}"
                          columns="#{bindings.Email.displayWidth}">
              <af:validator binding="#{bindings.Email.validator}"/>
            </af:inputText>
            <af:selectInputDate value="#{bindings.HireDate.inputValue}"
                                label="#{bindings.HireDate.label}"
                                required="#{bindings.HireDate.mandatory}">
              <af:validator binding="#{bindings.HireDate.validator}"/>
              <f:convertDateTime pattern="#{bindings.HireDate.format}"/>
            </af:selectInputDate>
            <af:inputText value="#{bindings.JobId.inputValue}"
                          label="#{bindings.JobId.label}"
                          required="#{bindings.JobId.mandatory}"
                          columns="#{bindings.JobId.displayWidth}">
              <af:validator binding="#{bindings.JobId.validator}"/>
            </af:inputText>
            <af:inputText value="#{bindings.Salary.inputValue}"
                          label="#{bindings.Salary.label}"
                          required="#{bindings.Salary.mandatory}"
                          columns="#{bindings.Salary.displayWidth}">
              <af:validator binding="#{bindings.Salary.validator}"/>
              <f:convertNumber groupingUsed="false"
                               pattern="#{bindings.Salary.format}"/>
            </af:inputText>
            <af:inputText value="#{bindings.CommissionPct.inputValue}"
                          label="#{bindings.CommissionPct.label}"
                          required="#{bindings.CommissionPct.mandatory}"
                          columns="#{bindings.CommissionPct.displayWidth}">
              <af:validator binding="#{bindings.CommissionPct.validator}"/>
              <f:convertNumber groupingUsed="false"
                               pattern="#{bindings.CommissionPct.format}"/>
            </af:inputText>
            <f:facet name="footer">
              <af:commandButton text="Return" action="return"/>
            </f:facet>
          </af:panelForm>
        </af:panelPage>
      </h:form>
    </afh:body>
  </afh:html>
</f:view>